Subject: Re: bug#23079: 25.0.92; Movement commands leave cursor in invisible line

From: Michael Heerdegen <[email-masked]>
Date: Mon, 21 Mar 2016 23:54:25 +0100

Stefan Monnier <[email-masked]> writes:

> That's normal: (get-pos-property <pos> 'invisible) returns nil in front
> of "333" but t in front of "555", so point adjustment will try to move
> point to right before "333" when we're in that invisible chunk.

BTW, we also discussed whether we could hide the newline "before the
first invisible lines", and don't hide the newline following the last
line to make invisible instead.  But we apparently can't do this because
(from "https://github.com/magit/magit/issues/2592"):

"e.g. the background color of headings of collapsed sections would not
be in affect all the way to the right edge of the window anymore"

and other drawbacks.

Michael.